Skip to content
You're viewing documentation for v2026.11.10-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Turn off your two-factor

Needs the current password and a current code. Not possible when an admin requires two-factor. Ends the other sessions of the user and sets a new session cookie.

POST/api/v1/auth/two-factor/disable
Authorization
tse_sessionAPI key · cookierequired
Header parameters
X-Forwarded-Protostring
Request body
requiredapplication/json
codestring

The 6-digit code of the authenticator app

current_passwordstring
Responses
200

OK

okbooleanrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/auth/two-factor/disable' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "code": "string",
  "current_password": "string"
}'
Response
{
  "ok": true
}